Uploaded image for project: 'JDK'
  1. JDK
  2. JDK-8223746

NativeLibLoader should fail fast when loading library with wrong version

    Details

    • Type: Enhancement
    • Status: Open
    • Priority: P3
    • Resolution: Unresolved
    • Affects Version/s: openjfx11
    • Fix Version/s: tbd
    • Component/s: javafx
    • Labels:
      None

      Description

      The JNI interfaces between the Java code and native libraries is not stable, such that a mismatch between the Java code and the native library will result in undefined behavior, often leading to a crash or unexpected exception.

      We should include the version number in each of the loaded JNI libraries and "fail fast" if it doesn't match the version of JavaFX from the Java code. Ideally this failure would be detected at load time is such a way that we would consider it a failure to load and try to load the library from another location.

      See JDK-8223377 for the motivation for this RFE.

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                kcr Kevin Rushforth
                Reporter:
                kcr Kevin Rushforth
              • Votes:
                0 Vote for this issue
                Watchers:
                2 Start watching this issue

                Dates

                • Created:
                  Updated: